Bug 23320 - Gtcd can't play Audio CDs
Gtcd can't play Audio CDs
Product: Red Hat Linux
Classification: Retired
Component: gnome-media (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-04 10:56 EST by Eric McRae
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-24 09:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric McRae 2001-01-04 10:56:52 EST
Even though Gnome has been configured to no automatic actions on insertion
of a CD and even if magicdev has been uninstalled, Gtcd seems unable to
play more than a fraction of a second of a CD.  Tcd can play CDs easily if
magicdev is not running, even when Gtcd can't.

Gtcd can display the disk/track titles so it manages to read some info from
the CDs.

The general behavior is that when you hit play, the button switches to a
pause button - indicating play mode.  Then it will revert back to being a
play button within a fraction of a second.  Repeated clicking of this
button sometimes produces a tiny bit of audio from the start of the track.

The system is up2date - running on a Dell Precision 410.
Comment 1 Kjartan Maraas 2001-06-09 03:39:24 EDT
Has this been resolved in later releases?
Comment 2 Eric McRae 2001-06-10 22:13:15 EDT
I'm still running 7.0 but have all the updates as of today 10 June 01.  The
problem is still there.
Comment 3 Havoc Pennington 2001-07-24 00:19:43 EDT
Should have asked the obvious question before now - what model CD drive?
(What's in /proc/ide/hdX/model?)

Comment 4 Eric McRae 2001-07-24 09:46:02 EDT
The CD-ROM drive is SCSI based.  Here's what's in /proc/scsi/scsi:
Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: QUANTUM  Model: ATLAS 10K 9WLS   Rev: UCH0
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi1 Channel: 00 Id: 05 Lun: 00
  Vendor: NEC      Model: CD-ROM DRIVE:466 Rev: 1.06
  Type:   CD-ROM                           ANSI SCSI revision: 02
Comment 5 Havoc Pennington 2002-02-26 14:59:05 EST
Currently deferring all noncritical GNOME 1.x bugs, new development is 
taking place based on the GNOME 2 codebase.

If the CD problem happens with multiple CD apps and not just gtcd, it might make
sense to reopen this bug and assign it to the kernel component.

Note You need to log in before you can comment on or make changes to this bug.